libcdr_utils.cpp File Reference
`#include "libcdr_utils.h"`
`#include <cassert>`
`#include <cstdarg>`
`#include <cstdio>`
`#include <string.h>`
`#include <unicode/ucsdet.h>`
`#include <unicode/ucnv.h>`
`#include <unicode/utypes.h>`
`#include <unicode/utf8.h>`

## Macros

#define | CDR_NUM_ELEMENTS(array)
#define | SURROGATE_VALUE(h, l)

## Macro Definition Documentation

## CDR_NUM_ELEMENTS

#define CDR_NUM_ELEMENTS | ( |  | array | ) |

Value:
sizeof(array)/sizeof(array[0])

## SURROGATE_VALUE

#define SURROGATE_VALUE | ( |  | h,
|  |  | l )

Value:
(((h) - 0xd800) * 0x400 + (l) - 0xdc00 + 0x10000)